# Transaction Details

Query transaction details by this api

**chain flag:**

can use chainId or chain symbol

> ETH or 1
>
> OP or 10
>
> BSC or 56
>
> OEC or OKEXCHAIN or 66
>
> HSC or 70
>
> HECO or 128
>
> MATIC or POLYGON or 137
>
> FTM or FANTOM or 250
>
> KCC or 321
>
> CFX or 1030
>
> GLMR or 1284
>
> KLAY or 8217
>
> ARB or 42161
>
> AVAX or 43114
>
> TRON or 95500
>
> SOL
>
> APTOS

<mark style="color:blue;">`GET`</mark> `https://aggserver.transit.finance/v3/transit/details`

#### Query Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| hash<mark style="color:red;">\*</mark>  | String | txid        |
| chain<mark style="color:red;">\*</mark> | String | chain flag  |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "result": 0,
    "message": "success",
    "data": {
        "sourceHash": "82c8dd309d4aa38a251f600f10cd6716aa515caf9abffe49e9dd122b446b87c4",
        "targetHash": "0x330e5c9dea93977c3705d4e22f6b9dbfbbaf7a7370fc2d9410dc0ed051929a0c",
        "chain": "TRON",
        "status": "Success",
        "statusNotes": "receive_complete",
        "fromToken": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
        "toToken": "0x55d398326f99059ff775485246999027b3197955",
        "amountIn": "153000000",
        "amountOut": "152288612000000000000",
        "amountOutMin": "152288612000000000000",
        "fromDecimals": 6,
        "toDecimals": 18,
        "fromAddress": "TMYgtXHnMS3GJUaaMeK9Cc67QBYQHKsvM7",
        "toAddress": "0x8dB8f5Ed20b5D1146646dEF9C696fEF2284793A6",
        "fromChain": "TRON",
        "toChain": "BSC",
        "timestamp": 1657630527,
        "channel": "web",
        "dexs": [
            {
                "dex": "METAPATH",
                "icon": "https://tp-statics.tokenpocket.pro/logo/dapp/metapath.png"
            }
        ]
    }
}


```

{% endtab %}
{% endtabs %}

**about data：**

{% hint style="info" %}
if fromToken or toToken is address(0),means native's symbol. eg: ETH,BNB,TRX..
{% endhint %}

```
sourceHash: source txid
targetHash: if it's a cross-chain transaction, it is the received txid
status: Success;Failure;Receiving
statusNotes: if status=Receiving, detailed notes
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transit.finance/reference/api-reference/transaction-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
